Skip to content

Create Shared Dataset

POST
/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "ai-labs-251027174445",
"storage_type": "managed"
}'

Note: AI Labs is currently available only in the Delhi region.

Organization_Id
required
integer

Organization ID

Course_Id
required
integer

Course ID

location
required
string
Allowed values: Delhi Chennai

Location

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

Media typeapplication/json
object
name
required

Name of the shared storage

string

Example

ai-labs-251027174445
storage_type
required

Type of storage

string

Example

managed

Successfully created shared storage

Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
shared_storage_details
object
id
integer
name
string
project_id
integer
description
string
nullable
storage_type
string
pvc
string
nullable
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
is_managed
boolean
eos_bucket_permission_id
integer
location
string
bucket_size
string
access_key
object
id
integer
access_key
string
secret_key
string
nullable
tag
string
is_managed
boolean
location
string
encryption_type
string
nullable
encryption_enable
boolean
status
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
pfs
string
nullable
is_ai_labs_learning_dataset
boolean
is_mounted_on_another_node
boolean
nullable
created_by
integer
storage_type
string
errors
object
message
string
total_page_number
integer
total_count
integer

Example

{
"code": 201,
"data": {
"id": 13,
"name": "ai-labs-22",
"shared_storage_details": {
"id": 3009,
"name": "ai-labs-22",
"project_id": 8007,
"storage_type": "managed",
"bucket": {
"id": 5040,
"bucket_name": "d-gpu-28911c97-a14c-4bc0-843b-d5c79fb58ee1",
"bucket_url": "s3://d-gpu-28911c97-a14c-4bc0-843b-d5c79fb58ee1/",
"endpoint": "https://objectstore.e2enetworks.net",
"is_managed": true,
"eos_bucket_permission_id": 16762,
"location": "Delhi",
"bucket_size": "0 bytes"
},
"access_key": {
"id": 5058,
"access_key": "KQDVZB27TBRE0G7K8AD4",
"tag": "akgpu09d7ae590228460d96a0224373482ebd",
"is_managed": true,
"location": "Delhi"
},
"encryption_enable": false,
"status": "Pending",
"created_by": {
"id": 7483,
"name": "test",
"email": "test@gmail.com",
"username": "test@gmail.com"
},
"created_at": "2025-10-28T07:32:33.164317Z",
"updated_at": "2025-10-28T07:32:33.164370Z",
"is_ai_labs_learning_dataset": false
},
"created_by": 7483,
"storage_type": "managed"
},
"errors": {},
"message": "Created Successfully",
"total_page_number": 1,
"total_count": 1
}